%global srcname Enable

Name:		python-Enable
Version:	3.3.1
Release:	1%{?dist}
Summary:	Drawing and interaction packages
Group:		Development/Libraries
License:	BSD and LGPLv2+ and LGPLv2 and LGPLv3 and Public Domain
URL:		http://code.enthought.com/projects/enable
Source0:	http://www.enthought.com/repo/ETS/%{srcname}-%{version}.tar.gz
Patch1:		freetype2.diff
BuildRequires:	python2-devel python-setuptools numpy
BuildRequires:	python-setupdocs Pyrex
BuildRequires:	swig freetype-devel libGLU-devel
Requires:	python-EnthoughtBase python-TraitsGUI
Requires:	numpy python-reportlab

%description
The Enable project provides two related multi-platform packages for drawing 
GUI objects.

  * Enable: An object drawing library that supports containment and
    event notification.
  * Kiva: A multi-platform DisplayPDF vector drawing engine.

%prep
%setup -q -n %{srcname}-%{version}
%patch1 -p1

rm -rf *.egg-info
rm -rf examples/kiva/agg/agg-24/{win32_*,BeOS}
# Remove bundled freetype2
rm -rf enthought/kiva/agg/freetype2

# Convert encoding to UTF-8
for file in *.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

# Remove DOS line endings
for file in `find -name "*.txt" -o -name "*.py" -o -name "*.cpp" -o -name "*.h" \
	-o -name "Makefile*"`; do
	sed "s|\r||g" $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

# Remove shebang
for file in `find enthought -name "*.py"`; do
	sed '/^#!\//, 1d' $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

# Remove exec permission
find -type f -exec chmod 0644 {} \;

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

find %{buildroot}%{python_sitearch}/enthought -name "setup.py*" -exec rm {} ";"
# Remove DOS line endings
for file in `find build/docs -name "*.txt"`; do
	sed "s|\r||g" $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

%files
%defattr(-,root,root,-)
%doc *.txt docs/*.txt docs/kiva 
%doc build/docs/html examples
%{python_sitearch}/*.egg-info
%{python_sitearch}/*.pth
%{python_sitearch}/enthought/enable
%{python_sitearch}/enthought/enable2
%{python_sitearch}/enthought/kiva
%{python_sitearch}/enthought/savage

%changelog
* Mon Jul 26 2010 Chen Lei <supercyper@163.com> - 3.3.1-1
- Initial package
